GDU(1L)

NAME
du - summarize disk usage

SYNOPSIS
du [-abcklsx] [+all] [+total] [+count-links] [+summarize] [+bytes] [+kilobytes] [+one-file-system] [path...]

DESCRIPTION
This manual page documents the GNU version of du. du displays the amount of disk space (in 512-byte blocks by default) used by each argument and for each subdirectory of directory arguments.

  OPTIONS

-a, +all
    Display counts for all files, not just directories.

-b, +bytes
    Print sizes in bytes instead of in 512-byte blocks.

-c, +total
    Write a grand total of all of the arguments after all arguments have been processed. This can be used to find out the disk usage of a directory, with some files excluded.

-k, +kilobytes
    Print sizes in kilobytes instead of in 512-byte blocks.

-l, +count-links
    Count the size of all files, even if they have appeared already in another hard link.

-s, +summarize
    Display only a total for each argument.

-x, +one-file-system
    Do not cross file-system boundaries during the recursion.